loci.formats.tiff

## Class TiffConstants

- java.lang.Object
- - loci.formats.tiff.TiffConstants

-     public final class TiffConstants
      extends java.lang.Object

  Generally useful TIFF-related constants.
  Author:
    Curtis Rueden ctrueden at wisc.edu, Eric Kjellman egkjellman at wisc.edu, Melissa Linkert melissa at glencoesoftware.com, Chris Allan callan at blackcat.ca

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BIG`
    `static int` | `BIG_TIFF_BYTES_PER_ENTRY` The number of bytes in each IFD entry of a BigTIFF file.
    `static long` | `BIG_TIFF_CUTOFF` Number of bytes at which to automatically switch to BigTIFF This is approximately 3.9 GB instead of 4 GB, to allow space for the IFDs.
    `static int` | `BIG_TIFF_MAGIC_NUMBER`
    `static int` | `BYTES_PER_ENTRY` The number of bytes in each IFD entry.
    `static int` | `LITTLE`
    `static int` | `MAGIC_NUMBER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `TiffConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BYTES_PER_ENTRY

          public static final int BYTES_PER_ENTRY

      The number of bytes in each IFD entry.
      See Also:
        Constant Field Values

    - #### BIG_TIFF_BYTES_PER_ENTRY

          public static final int BIG_TIFF_BYTES_PER_ENTRY

      The number of bytes in each IFD entry of a BigTIFF file.
      See Also:
        Constant Field Values

    - #### MAGIC_NUMBER

          public static final int MAGIC_NUMBER

      See Also:
        Constant Field Values

    - #### BIG_TIFF_MAGIC_NUMBER

          public static final int BIG_TIFF_MAGIC_NUMBER

      See Also:
        Constant Field Values

    - #### LITTLE

          public static final int LITTLE

      See Also:
        Constant Field Values

    - #### BIG

          public static final int BIG

      See Also:
        Constant Field Values

    - #### BIG_TIFF_CUTOFF

          public static final long BIG_TIFF_CUTOFF

      Number of bytes at which to automatically switch to BigTIFF This is approximately 3.9 GB instead of 4 GB, to allow space for the IFDs.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TiffConstants

          private TiffConstants()

Copyright © 2026 Open Microscopy Environment